---
- name: Ensure user basic configuration
  hosts: dev
  tasks:
  - block:
    - name: Ensure user exists and belongs to groups
      user:
        name: "{{ user_name }}"
        shell: "{{ user_shell }}"
        append: yes

    - block:
      - name: Ensure 'sudo' package is installed
        package:
          name: sudo
          state: present

      - name: Make sure group 'wheel' exists
        group:
          name: wheel
          state: present

      - name: Allow 'wheel' group to have passwordless sudo in /etc/sudoers
        lineinfile:
          dest: /etc/sudoers
          state: present
          regexp: '^%wheel'
          line: '%wheel ALL=(ALL) NOPASSWD:ALL'
          validate: 'visudo -cf %s'

      - name: Add user to 'wheel' group
        user:
          name: "{{ user_name }}"
          groups: ["wheel"]
          append: yes
      when: user_sudoer
    become: true
